hpp-corbaserver: ComparisonTypes_t_var Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | Friends | List of all members
ComparisonTypes_t_var Class Reference

`#include <hpp/common-idl.hh>`

## Public Member Functions
| ComparisonTypes_t_var ()
| ComparisonTypes_t_var (ComparisonTypes_t *_s)
| ComparisonTypes_t_var (const ComparisonTypes_t_var &_s)
| ~ComparisonTypes_t_var ()
ComparisonTypes_t_var & | operator= (ComparisonTypes_t *_s)
ComparisonTypes_t_var & | operator= (const ComparisonTypes_t_var &_s)
ComparisonType & | operator[] (_CORBA_ULong _s)
ComparisonTypes_t * | operator-> ()
const ComparisonTypes_t * | operator-> () const
| operator const ComparisonTypes_t & () const
| operator ComparisonTypes_t & ()
const ComparisonTypes_t & | in () const
ComparisonTypes_t & | inout ()
ComparisonTypes_t *& | out ()
ComparisonTypes_t * | _retn ()

## Friends
class | ComparisonTypes_t_out

## Constructor & Destructor Documentation

## ◆ ComparisonTypes_t_var() [1/3]

ComparisonTypes_t_var::ComparisonTypes_t_var | ( |  | ) |
| inline

## ◆ ComparisonTypes_t_var() [2/3]

ComparisonTypes_t_var::ComparisonTypes_t_var | ( | ComparisonTypes_t * | _s | ) |
| inline

## ◆ ComparisonTypes_t_var() [3/3]

ComparisonTypes_t_var::ComparisonTypes_t_var | ( | const ComparisonTypes_t_var & | _s | ) |
| inline

## ◆ ~ComparisonTypes_t_var()

ComparisonTypes_t_var::~ComparisonTypes_t_var | ( |  | ) |
| inline

## Member Function Documentation

## ◆ _retn()

ComparisonTypes_t* ComparisonTypes_t_var::_retn | ( |  | ) |
| inline

## ◆ in()

const ComparisonTypes_t& ComparisonTypes_t_var::in | ( |  | ) | const
| inline

## ◆ inout()

ComparisonTypes_t& ComparisonTypes_t_var::inout | ( |  | ) |
| inline

## ◆ operator ComparisonTypes_t &()

ComparisonTypes_t_var::operator ComparisonTypes_t & | ( |  | ) |
| inline

## ◆ operator const ComparisonTypes_t &()

ComparisonTypes_t_var::operator const ComparisonTypes_t & | ( |  | ) | const
| inline

## ◆ operator->() [1/2]

ComparisonTypes_t* ComparisonTypes_t_var::operator-> | ( |  | ) |
| inline

## ◆ operator->() [2/2]

const ComparisonTypes_t* ComparisonTypes_t_var::operator-> | ( |  | ) | const
| inline

## ◆ operator=() [1/2]

ComparisonTypes_t_var& ComparisonTypes_t_var::operator= | ( | ComparisonTypes_t * | _s | ) |
| inline

## ◆ operator=() [2/2]

ComparisonTypes_t_var& ComparisonTypes_t_var::operator= | ( | const ComparisonTypes_t_var & | _s | ) |
| inline

## ◆ operator[]()

ComparisonType& ComparisonTypes_t_var::operator[] | ( | _CORBA_ULong | _s | ) |
| inline

## ◆ out()

ComparisonTypes_t*& ComparisonTypes_t_var::out | ( |  | ) |
| inline

## Friends And Related Function Documentation

## ◆ ComparisonTypes_t_out

friend class ComparisonTypes_t_out
| friend

The documentation for this class was generated from the following file:

- src/hpp/common-idl.hh